Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 622693 - [FEAT] Please let bot throw out the stale certs pending on tam by next work
[FEAT] Please let bot throw out the stale certs pending on tam by next work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Certification Program
Classification: Red Hat
Component: Certification Workflow Engine (Show other bugs)
1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Feng Wang
Suprith Gangawar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-10 03:37 EDT by QinXie
Modified: 2015-11-30 02:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 02:49:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description QinXie 2010-08-10 03:37:49 EDT
Current, bot only post comment in stale certs pending on tam, such stale certs still stale after bot touch them. 
Please let bot throw them out by next work, so that we reviewers can manually push it go ahead.
Comment 1 Rob Landry 2010-08-10 12:10:44 EDT
I don't quite follow the request. Could it be restated into a current event lists and a desired event list?
Comment 2 QinXie 2010-08-10 21:10:49 EDT
o Prerequisite: 
One cert whose needinfo flag is set on TAM, and has no update for a long time. 

o Current Event List:
1. Bot check cert status, found no update for a long time, one reminder comment will be posted by bot, eg: https://hardware.redhat.com/show.cgi?id=583681#c54. And need info is still on TAM. 
2. Bot will do the same thing in next check round. 
3. Bot's next work deosn't care the certs pending on TAM and will not throw it out.

o Excepted Event List:
1. Bot post reminder comment
2. Maybe bot can reset the flag to be reviewer or some other flag which can be used by bot's next work
3. Bot's next work can pick these certs up, and ask reviewer to manually work with these stale certs, escalate them to supervisor, move to dustbin, etc...

Wish above explains my concern.
Comment 3 YangKun 2010-08-10 21:38:10 EDT
Hi Rob,

cqin's concern makes sense to me. if reviewers are willingly to remind TAMs for certs which are pending on TAMs for some time, I can make the bot report such certs as "next work", then reviewers pick them up and manually remind TAMs.

but if you think we should not be worrying about the certifications that are pending on TAMs, it's also ok for me to not report such certs as "next work".

-YK
Comment 4 Rob Landry 2010-08-11 15:30:55 EDT
That sounds reasonable to me although the implementation needs to be in such a way that we can understand the % of our time spent on these reminders separate from other review work.
Comment 6 Feng Wang 2015-11-30 02:49:40 EST
Looking at the bot code, this seems fixed.

Move to Done.

Note You need to log in before you can comment on or make changes to this bug.